Index: /main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/interfaces.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/interfaces.py	(revision 8159)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/interfaces.py	(revision 8160)
@@ -22,4 +22,5 @@
 from waeup.kofa.interfaces import IKofaObject
 from waeup.kofa.interfaces import MessageFactory as _
+from waeup.kofa.schema import FormattedDate
 
 class IAccessCode(IKofaObject):
@@ -60,5 +61,5 @@
     """A factory for batches of access codes.
     """
-    creation_date = schema.Date(
+    creation_date = FormattedDate(
         title = _(u'Creation date'),
         )
Index: /main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py	(revision 8159)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py	(revision 8160)
@@ -52,7 +52,5 @@
 from waeup.kofa.students.interfaces import IStudentsUtils
 from waeup.kofa.utils.helpers import string_from_bytes, file_size
-from waeup.kofa.widgets.datewidget import (
-    FriendlyDateWidget, FriendlyDateDisplayWidget,
-    FriendlyDatetimeDisplayWidget)
+from waeup.kofa.widgets.datewidget import FriendlyDateDisplayWidget
 from waeup.kofa.widgets.phonewidget import PhoneWidget
 from waeup.kofa.widgets.restwidget import ReSTDisplayWidget
@@ -153,6 +151,4 @@
     form_fields = grok.AutoFields(
         IApplicantsContainerAdd).omit('code').omit('title')
-    form_fields['startdate'].custom_widget = FriendlyDateWidget('le')
-    form_fields['enddate'].custom_widget = FriendlyDateWidget('le')
 
     def update(self):
@@ -226,6 +222,4 @@
 
     form_fields = grok.AutoFields(IApplicantsContainer).omit('title')
-    form_fields['startdate'].custom_widget = FriendlyDateDisplayWidget('le')
-    form_fields['enddate'].custom_widget = FriendlyDateDisplayWidget('le')
     form_fields['description'].custom_widget = ReSTDisplayWidget
 
@@ -257,6 +251,4 @@
     tabthreeactions2 = [_('Add local role')]
     # Use friendlier date widget...
-    form_fields['startdate'].custom_widget = FriendlyDateWidget('le')
-    form_fields['enddate'].custom_widget = FriendlyDateWidget('le')
     grok.require('waeup.manageApplication')
 
@@ -497,8 +489,4 @@
     grok.require('waeup.viewApplication')
     form_fields = grok.AutoFields(IApplicantOnlinePayment)
-    form_fields[
-        'creation_date'].custom_widget = FriendlyDatetimeDisplayWidget('le')
-    form_fields[
-        'payment_date'].custom_widget = FriendlyDatetimeDisplayWidget('le')
     pnav = 3
 
@@ -546,6 +534,6 @@
     grok.require('waeup.viewApplication')
     form_fields = grok.AutoFields(IApplicantOnlinePayment)
-    form_fields['creation_date'].custom_widget = FriendlyDateDisplayWidget('le')
-    form_fields['payment_date'].custom_widget = FriendlyDateDisplayWidget('le')
+    #form_fields['creation_date'].custom_widget = FriendlyDateDisplayWidget('le')
+    #form_fields['payment_date'].custom_widget = FriendlyDateDisplayWidget('le')
     prefix = 'form'
 
@@ -754,5 +742,4 @@
         'screening_score',
         )
-    form_fields['date_of_birth'].custom_widget = FriendlyDateWidget('le-year')
     form_fields['phone'].custom_widget = PhoneWidget
     form_fields['applicant_id'].for_display = True
Index: /main/waeup.kofa/trunk/src/waeup/kofa/applicants/interfaces.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/applicants/interfaces.py	(revision 8159)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/applicants/interfaces.py	(revision 8160)
@@ -221,12 +221,14 @@
         """Content as language dictionary with values in HTML format.""")
 
-    startdate = schema.Date(
+    startdate = FormattedDate(
         title = _(u'Application Start Date'),
         required = False,
-        )
-
-    enddate = schema.Date(
+        show_year = False,
+        )
+
+    enddate = FormattedDate(
         title = _(u'Application Closing Date'),
         required = False,
+        show_year = False,
         )
 
Index: /main/waeup.kofa/trunk/src/waeup/kofa/payments/interfaces.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/payments/interfaces.py	(revision 8159)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/payments/interfaces.py	(revision 8160)
@@ -20,4 +20,5 @@
 from waeup.kofa.interfaces import IKofaObject, SimpleKofaVocabulary
 from waeup.kofa.interfaces import MessageFactory as _
+from waeup.kofa.schema import FormattedDatetime
 
 payment_states = SimpleKofaVocabulary(
@@ -68,10 +69,10 @@
         )
 
-    creation_date = schema.Datetime(
+    creation_date = FormattedDatetime(
         title = _(u'Ticket Creation Date'),
         readonly = False,
         )
 
-    payment_date = schema.Datetime(
+    payment_date = FormattedDatetime(
         title = _(u'Payment Date'),
         required = False,
@@ -171,2 +172,20 @@
         readonly = False,
         )
+
+class IOnlinePaymentImportExport(IOnlinePayment):
+    """A base representation of payments.
+
+    """
+
+    creation_date = schema.Datetime(
+        title = _(u'Ticket Creation Date'),
+        readonly = False,
+        )
+
+    payment_date = schema.Datetime(
+        title = _(u'Payment Date'),
+        required = False,
+        readonly = False,
+        )
+
+
Index: /main/waeup.kofa/trunk/src/waeup/kofa/students/batching.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/students/batching.py	(revision 8159)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/students/batching.py	(revision 8160)
@@ -40,5 +40,5 @@
     IStudentUpdateByRegNo, IStudentUpdateByMatricNo,
     IStudentStudyLevel, ICourseTicket,
-    IStudentOnlinePayment, IStudentVerdictUpdate)
+    IStudentOnlinePaymentImportExport, IStudentVerdictUpdate)
 from waeup.kofa.students.workflow import  IMPORTABLE_STATES
 from waeup.kofa.utils.batching import BatchProcessor
@@ -539,5 +539,5 @@
 
     name = u'Payment Processor'
-    iface = IStudentOnlinePayment
+    iface = IStudentOnlinePaymentImportExport
     factory_name = 'waeup.StudentOnlinePayment'
 
Index: /main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py	(revision 8159)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py	(revision 8160)
@@ -45,7 +45,5 @@
     IKofaUtils, IUniversity)
 from waeup.kofa.interfaces import MessageFactory as _
-from waeup.kofa.widgets.datewidget import (
-    FriendlyDateWidget, FriendlyDateDisplayWidget,
-    FriendlyDatetimeDisplayWidget)
+from waeup.kofa.widgets.datewidget import FriendlyDateDisplayWidget
 from waeup.kofa.widgets.restwidget import ReSTDisplayWidget
 from waeup.kofa.widgets.phonewidget import PhoneWidget
@@ -419,5 +417,4 @@
         else:
             form_fields = grok.AutoFields(IUGStudentClearance).omit('clearance_locked')
-        form_fields['date_of_birth'].custom_widget = FriendlyDateDisplayWidget('le')
         return form_fields
 
@@ -442,5 +439,4 @@
         else:
             form_fields = grok.AutoFields(IUGStudentClearance).omit('clearance_locked')
-        form_fields['date_of_birth'].custom_widget = FriendlyDateDisplayWidget('le')
         return form_fields
 
@@ -487,5 +483,4 @@
         else:
             form_fields = grok.AutoFields(IUGStudentClearance)
-        form_fields['date_of_birth'].custom_widget = FriendlyDateWidget('le-year')
         return form_fields
 
@@ -1119,8 +1114,4 @@
     grok.require('waeup.viewStudent')
     form_fields = grok.AutoFields(IStudentOnlinePayment)
-    form_fields[
-        'creation_date'].custom_widget = FriendlyDatetimeDisplayWidget('le')
-    form_fields[
-        'payment_date'].custom_widget = FriendlyDatetimeDisplayWidget('le')
     pnav = 4
 
@@ -1189,6 +1180,6 @@
     grok.require('waeup.viewStudent')
     form_fields = grok.AutoFields(IStudentOnlinePayment)
-    form_fields['creation_date'].custom_widget = FriendlyDateDisplayWidget('le')
-    form_fields['payment_date'].custom_widget = FriendlyDateDisplayWidget('le')
+    #form_fields['creation_date'].custom_widget = FriendlyDateDisplayWidget('le')
+    #form_fields['payment_date'].custom_widget = FriendlyDateDisplayWidget('le')
     prefix = 'form'
     title = 'Payment Data'
@@ -1376,6 +1367,4 @@
     grok.require('waeup.handleAccommodation')
     form_fields = grok.AutoFields(IBedTicket)
-    form_fields[
-        'booking_date'].custom_widget = FriendlyDatetimeDisplayWidget('le')
     pnav = 4
 
@@ -1392,5 +1381,5 @@
     grok.require('waeup.handleAccommodation')
     form_fields = grok.AutoFields(IBedTicket)
-    form_fields['booking_date'].custom_widget = FriendlyDateDisplayWidget('le')
+    #form_fields['booking_date'].custom_widget = FriendlyDateDisplayWidget('le')
     prefix = 'form'
 
@@ -1643,5 +1632,4 @@
         else:
             form_fields = grok.AutoFields(IUGStudentClearance).omit('clearance_locked')
-        form_fields['date_of_birth'].custom_widget = FriendlyDateWidget('le-year')
         return form_fields
 
Index: /main/waeup.kofa/trunk/src/waeup/kofa/students/export.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/students/export.py	(revision 8159)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/students/export.py	(revision 8160)
@@ -29,5 +29,5 @@
 
 class StudentsExporter(grok.GlobalUtility, ExporterBase):
-    """Exporter for Applicants.
+    """Exporter for Students.
     """
     grok.implements(ICSVExporter)
Index: /main/waeup.kofa/trunk/src/waeup/kofa/students/interfaces.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/students/interfaces.py	(revision 8159)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/students/interfaces.py	(revision 8160)
@@ -24,10 +24,11 @@
     IKofaObject, academic_sessions_vocab, validate_email, IKofaUtils)
 from waeup.kofa.interfaces import MessageFactory as _
-from waeup.kofa.schema import TextLineChoice
+from waeup.kofa.schema import TextLineChoice, FormattedDate, FormattedDatetime
 from waeup.kofa.students.vocabularies import (
     StudyLevelSource, contextual_reg_num_source, contextual_mat_num_source,
     GenderSource, nats_vocab,
     )
-from waeup.kofa.payments.interfaces import IPaymentsContainer, IOnlinePayment
+from waeup.kofa.payments.interfaces import (
+    IPaymentsContainer, IOnlinePayment, IOnlinePaymentImportExport)
 from waeup.kofa.university.vocabularies import (
     CourseSource, StudyModeSource, CertificateSource)
@@ -215,7 +216,8 @@
 
     """
-    date_of_birth = schema.Date(
+    date_of_birth = FormattedDate(
         title = _(u'Date of Birth'),
         required = True,
+        show_year = True,
         )
 
@@ -465,5 +467,5 @@
         )
 
-    booking_date = schema.Datetime(
+    booking_date = FormattedDatetime(
         title = _(u'Booking Date'),
         required = False,
@@ -500,9 +502,19 @@
     'p_item'].order
 
+
+class IStudentOnlinePaymentImportExport(IOnlinePaymentImportExport):
+    """A student payment for import and export.
+
+    """
+    p_session = schema.Choice(
+        title = _(u'Payment Session'),
+        source = academic_sessions_vocab,
+        required = False,
+        )
+
 class IStudentChangePassword(IKofaObject):
     """Interface needed for change pasword page.
 
     """
-
     reg_number = schema.TextLine(
         title = _(u'Registration Number'),
Index: /main/waeup.kofa/trunk/src/waeup/kofa/students/tests/sample_payment_data.csv
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/students/tests/sample_payment_data.csv	(revision 8159)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/students/tests/sample_payment_data.csv	(revision 8160)
@@ -1,4 +1,4 @@
 p_state,p_category,r_pay_reference,r_desc,p_id,reg_number,session_id,r_amount_approved,p_item,amount_auth,r_card_num,r_code,creation_date,type,surcharge_1
 paid,schoolfee,GTB|WEB|FUT|26-11-2010|002295,Approved Successful,3816951290797973744#,1,2010,19500,BTECHBDT,19500,0942,00,2010/11/26 19:59:33.744 GMT+1,online,0
-unpaid,schoolfee,GTB|WEB|FUT|25-11-2010|,Transaction status unconfirmed,3816951290712593757,2,2010,0,BTECHBDT,19500,0942,Z0,2010/11/25 20:16:33.757 GMT+1,online,0
-paid,schoolfee,UBA|WEB|FUT|15-02-2010|000517,Approved Successful,p1266236341955,3,2009,19500,BTECHBDT,19500,0615,00,2010/02/15 13:19:01.955 GMT+1,online,0
+unpaid,schoolfee,GTB|WEB|FUT|25-11-2010|,Transaction status unconfirmed,3816951290712593757,2,2010,0,BTECHBDT,19500,0942,Z0,2010-11-25 20:16:33.757 GMT+1,online,0
+paid,schoolfee,UBA|WEB|FUT|15-02-2010|000517,Approved Successful,p1266236341955,3,2009,19500,BTECHBDT,19500,0615,00,2010/02/15 13:19:01,online,0