Index: /main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py	(revision 8169)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py	(revision 8170)
@@ -52,5 +52,7 @@
 from waeup.kofa.students.interfaces import IStudentsUtils
 from waeup.kofa.utils.helpers import string_from_bytes, file_size
-from waeup.kofa.widgets.datewidget import FriendlyDateDisplayWidget
+from waeup.kofa.widgets.datewidget import (
+    FriendlyDateDisplayWidget, FriendlyDateDisplayWidget,
+    FriendlyDatetimeDisplayWidget)
 from waeup.kofa.widgets.phonewidget import PhoneWidget
 from waeup.kofa.widgets.restwidget import ReSTDisplayWidget
@@ -489,4 +491,8 @@
     grok.require('waeup.viewApplication')
     form_fields = grok.AutoFields(IApplicantOnlinePayment)
+    form_fields[
+        'creation_date'].custom_widget = FriendlyDatetimeDisplayWidget('le')
+    form_fields[
+        'payment_date'].custom_widget = FriendlyDatetimeDisplayWidget('le')
     pnav = 3
 
@@ -494,5 +500,6 @@
     def label(self):
         return _('${a}: Online Payment Ticket ${b}', mapping = {
-            'a':self.context.__parent__.display_fullname, 'b':self.context.p_id})
+            'a':self.context.__parent__.display_fullname,
+            'b':self.context.p_id})
 
 class OnlinePaymentCallbackPage(UtilityView, grok.View):
@@ -534,6 +541,6 @@
     grok.require('waeup.viewApplication')
     form_fields = grok.AutoFields(IApplicantOnlinePayment)
-    #form_fields['creation_date'].custom_widget = FriendlyDateDisplayWidget('le')
-    #form_fields['payment_date'].custom_widget = FriendlyDateDisplayWidget('le')
+    form_fields['creation_date'].custom_widget = FriendlyDateDisplayWidget('le')
+    form_fields['payment_date'].custom_widget = FriendlyDateDisplayWidget('le')
     prefix = 'form'
 
Index: /main/waeup.kofa/trunk/src/waeup/kofa/payments/interfaces.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/payments/interfaces.py	(revision 8169)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/payments/interfaces.py	(revision 8170)
@@ -20,5 +20,4 @@
 from waeup.kofa.interfaces import IKofaObject, SimpleKofaVocabulary
 from waeup.kofa.interfaces import MessageFactory as _
-from waeup.kofa.schema import FormattedDatetime
 
 payment_states = SimpleKofaVocabulary(
@@ -69,10 +68,10 @@
         )
 
-    creation_date = FormattedDatetime(
+    creation_date = schema.Datetime(
         title = _(u'Ticket Creation Date'),
         readonly = False,
         )
 
-    payment_date = FormattedDatetime(
+    payment_date = schema.Datetime(
         title = _(u'Payment Date'),
         required = False,
@@ -188,4 +187,2 @@
         readonly = False,
         )
-
-
Index: /main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py	(revision 8169)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py	(revision 8170)
@@ -45,5 +45,7 @@
     IKofaUtils, IUniversity)
 from waeup.kofa.interfaces import MessageFactory as _
-from waeup.kofa.widgets.datewidget import FriendlyDateDisplayWidget
+from waeup.kofa.widgets.datewidget import (
+    FriendlyDateWidget, FriendlyDateDisplayWidget,
+    FriendlyDatetimeDisplayWidget)
 from waeup.kofa.widgets.restwidget import ReSTDisplayWidget
 from waeup.kofa.widgets.phonewidget import PhoneWidget
@@ -1114,4 +1116,8 @@
     grok.require('waeup.viewStudent')
     form_fields = grok.AutoFields(IStudentOnlinePayment)
+    form_fields[
+        'creation_date'].custom_widget = FriendlyDatetimeDisplayWidget('le')
+    form_fields[
+        'payment_date'].custom_widget = FriendlyDatetimeDisplayWidget('le')
     pnav = 4
 
@@ -1180,6 +1186,6 @@
     grok.require('waeup.viewStudent')
     form_fields = grok.AutoFields(IStudentOnlinePayment)
-    #form_fields['creation_date'].custom_widget = FriendlyDateDisplayWidget('le')
-    #form_fields['payment_date'].custom_widget = FriendlyDateDisplayWidget('le')
+    form_fields['creation_date'].custom_widget = FriendlyDateDisplayWidget('le')
+    form_fields['payment_date'].custom_widget = FriendlyDateDisplayWidget('le')
     prefix = 'form'
     title = 'Payment Data'
@@ -1381,5 +1387,5 @@
     grok.require('waeup.handleAccommodation')
     form_fields = grok.AutoFields(IBedTicket)
-    #form_fields['booking_date'].custom_widget = FriendlyDateDisplayWidget('le')
+    form_fields['booking_date'].custom_widget = FriendlyDateDisplayWidget('le')
     prefix = 'form'
 
Index: /main/waeup.kofa/trunk/src/waeup/kofa/students/interfaces.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/students/interfaces.py	(revision 8169)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/students/interfaces.py	(revision 8170)
@@ -24,5 +24,5 @@
     IKofaObject, academic_sessions_vocab, validate_email, IKofaUtils)
 from waeup.kofa.interfaces import MessageFactory as _
-from waeup.kofa.schema import TextLineChoice, FormattedDate, FormattedDatetime
+from waeup.kofa.schema import TextLineChoice, FormattedDate
 from waeup.kofa.students.vocabularies import (
     StudyLevelSource, contextual_reg_num_source, contextual_mat_num_source,
@@ -467,5 +467,5 @@
         )
 
-    booking_date = FormattedDatetime(
+    booking_date = schema.Datetime(
         title = _(u'Booking Date'),
         required = False,