Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py	(revision 8175)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py	(revision 8176)
@@ -55,5 +55,4 @@
     FriendlyDateDisplayWidget, FriendlyDateDisplayWidget,
     FriendlyDatetimeDisplayWidget)
-from waeup.kofa.widgets.phonewidget import PhoneWidget
 from waeup.kofa.widgets.restwidget import ReSTDisplayWidget
 
@@ -353,5 +352,4 @@
         'firstname', 'middlename', 'lastname',
         'email', 'phone')
-    form_fields['phone'].custom_widget = PhoneWidget
     label = _('Add applicant')
     pnav = 3
@@ -616,5 +614,4 @@
     form_fields['student_id'].for_display = True
     form_fields['applicant_id'].for_display = True
-    form_fields['phone'].custom_widget = PhoneWidget
     grok.template('applicanteditpage')
     manage_applications = True
@@ -749,5 +746,4 @@
         'screening_score',
         )
-    form_fields['phone'].custom_widget = PhoneWidget
     form_fields['applicant_id'].for_display = True
     form_fields['reg_number'].for_display = True
@@ -872,6 +868,4 @@
             form_fields = grok.AutoFields(IApplicantEdit).select(
                 'firstname', 'middlename', 'lastname', 'email', 'phone')
-            form_fields['phone'].custom_widget = PhoneWidget
-
         return form_fields
 
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/interfaces.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/interfaces.py	(revision 8175)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/interfaces.py	(revision 8176)
@@ -33,5 +33,5 @@
 from waeup.kofa.interfaces import MessageFactory as _
 from waeup.kofa.payments.interfaces import IOnlinePayment
-#from waeup.kofa.schoolgrades import ResultEntryField
+from waeup.kofa.schema import PhoneNumber
 from waeup.kofa.students.vocabularies import GenderSource
 from waeup.kofa.university.vocabularies import (
@@ -356,5 +356,5 @@
         constraint=validate_email,
         )
-    phone = schema.TextLine(
+    phone = PhoneNumber(
         title = _(u'Phone'),
         description = u'',
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/pages.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/pages.py	(revision 8175)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/pages.py	(revision 8176)
@@ -61,5 +61,4 @@
 from waeup.kofa.authentication import LocalRoleSetEvent
 from waeup.kofa.widgets.restwidget import ReSTDisplayWidget
-from waeup.kofa.widgets.phonewidget import PhoneWidget
 from waeup.kofa.authentication import get_principal_role_manager
 from waeup.kofa.utils.helpers import get_user_account
@@ -430,5 +429,4 @@
     grok.template('usereditformpage')
     form_fields = grok.AutoFields(IUserAccount)
-    form_fields['phone'].custom_widget = PhoneWidget
     label = _('Add user')
 
@@ -471,5 +469,4 @@
     grok.require('waeup.manageUsers')
     form_fields = grok.AutoFields(IUserAccount).omit('name')
-    form_fields['phone'].custom_widget = PhoneWidget
 
     def label(self):
@@ -552,5 +549,4 @@
         'name', 'description', 'roles')
     label = _(u"My Preferences")
-    form_fields['phone'].custom_widget = PhoneWidget
 
     def setUpWidgets(self, ignore_request=False):
Index: main/waeup.kofa/trunk/src/waeup/kofa/interfaces.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/interfaces.py	(revision 8175)
+++ main/waeup.kofa/trunk/src/waeup/kofa/interfaces.py	(revision 8176)
@@ -33,4 +33,5 @@
 from zope.schema.interfaces import IObject
 from zope.schema.vocabulary import SimpleVocabulary, SimpleTerm
+from waeup.kofa.schema import PhoneNumber
 
 _ = MessageFactory = zope.i18nmessageid.MessageFactory('waeup.kofa')
@@ -394,5 +395,5 @@
         required=False,)
 
-    phone = schema.TextLine(
+    phone = PhoneNumber(
         title = _(u'Phone'),
         description = u'',
@@ -422,5 +423,5 @@
         )
 
-    phone = schema.TextLine(
+    phone = PhoneNumber(
         title = _(u'Phone'),
         default = None,
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/batching.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/batching.py	(revision 8175)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/batching.py	(revision 8176)
@@ -63,4 +63,5 @@
     @property
     def available_fields(self):
+        fields = getFields(self.iface)
         return sorted(list(set(
             ['student_id','reg_number','matric_number',
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py	(revision 8175)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py	(revision 8176)
@@ -49,5 +49,4 @@
     FriendlyDatetimeDisplayWidget)
 from waeup.kofa.widgets.restwidget import ReSTDisplayWidget
-from waeup.kofa.widgets.phonewidget import PhoneWidget
 from waeup.kofa.students.interfaces import (
     IStudentsContainer, IStudent,
@@ -341,5 +340,4 @@
     grok.require('waeup.manageStudent')
     form_fields = grok.AutoFields(IStudentBase).omit('student_id')
-    form_fields['phone'].custom_widget = PhoneWidget
     grok.template('basemanagepage')
     label = _('Manage base data')
@@ -1506,5 +1504,4 @@
     form_fields = grok.AutoFields(IStudentBase).select(
         'email', 'phone')
-    form_fields['phone'].custom_widget = PhoneWidget
     label = _('Edit base data')
     pnav = 4
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/interfaces.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/interfaces.py	(revision 8175)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/interfaces.py	(revision 8176)
@@ -24,5 +24,5 @@
     IKofaObject, academic_sessions_vocab, validate_email, IKofaUtils)
 from waeup.kofa.interfaces import MessageFactory as _
-from waeup.kofa.schema import TextLineChoice, FormattedDate
+from waeup.kofa.schema import TextLineChoice, FormattedDate, PhoneNumber
 from waeup.kofa.students.vocabularies import (
     StudyLevelSource, contextual_reg_num_source, contextual_mat_num_source,
@@ -206,5 +206,5 @@
         constraint=validate_email,
         )
-    phone = schema.TextLine(
+    phone = PhoneNumber(
         title = _(u'Phone'),
         description = u'',