Index: main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/accesscode.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/accesscode.py	(revision 8181)
+++ main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/accesscode.py	(revision 8182)
@@ -31,5 +31,6 @@
 from hurry.workflow.interfaces import IWorkflowInfo, IWorkflowState
 from random import SystemRandom as random
-from waeup.kofa.interfaces import IKofaPluggable, IObjectHistory
+from zope.component import getUtility
+from waeup.kofa.interfaces import IKofaUtils, IKofaPluggable, IObjectHistory
 from waeup.kofa.utils.logger import Logger
 from waeup.kofa.accesscodes.interfaces import (
@@ -353,6 +354,7 @@
         if batch_name in self.keys():
             raise KeyError('Batch already exists: %s' % batch_name)
+        tz = getUtility(IKofaUtils).tzinfo
         batch = AccessCodeBatch(
-            datetime.now(), creator, prefix, cost, 0, num=num)
+            datetime.now(tz), creator, prefix, cost, 0, num=num)
         num_entries = 0
         self[batch_name] = batch
@@ -426,5 +428,6 @@
         creator = 'system'
         entry_num = 0
-        creation_date = datetime.now()
+        tz = getUtility(IKofaUtils).tzinfo
+        creation_date = datetime.now(tz)
         basecontainer.createBatch(creation_date, creator,
             'SFE', cost, entry_num)
Index: main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/browser.py	(revision 8181)
+++ main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/browser.py	(revision 8182)
@@ -20,4 +20,5 @@
 import grok
 from datetime import datetime
+from zope.component import getUtility
 from hurry.workflow.interfaces import InvalidTransitionError
 from waeup.kofa.browser.resources import datatable
@@ -26,5 +27,5 @@
 from waeup.kofa.browser.viewlets import (
     AdminTask, AddActionButton, SearchActionButton, BatchOpButton, ManageLink)
-from waeup.kofa.interfaces import IKofaObject
+from waeup.kofa.interfaces import IKofaObject, IKofaUtils
 from waeup.kofa.interfaces import MessageFactory as _
 from waeup.kofa.accesscodes.interfaces import (
@@ -84,5 +85,6 @@
     def createBatch(self, **data):
         creator = self.request.principal.id
-        creation_date = datetime.now()
+        tz = getUtility(IKofaUtils).tzinfo
+        creation_date = datetime.now(tz)
         data.update(creation_date=creation_date, creator=creator)
         batch = self.context.createBatch(**data)
Index: main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/tests/test_accesscode.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/tests/test_accesscode.py	(revision 8181)
+++ main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/tests/test_accesscode.py	(revision 8182)
@@ -25,9 +25,10 @@
 from datetime import datetime
 from hurry.workflow.interfaces import InvalidTransitionError, IWorkflowState
+from zope.component import getUtility
 from zope.component.hooks import setSite, clearSite
 from zope.interface.verify import verifyObject, verifyClass
 from zope.testing import renormalizing
 from waeup.kofa.app import University
-from waeup.kofa.interfaces import IObjectHistory, IKofaPluggable
+from waeup.kofa.interfaces import IObjectHistory, IKofaPluggable, IKofaUtils
 from waeup.kofa.testing import (
     FunctionalLayer, FunctionalTestCase, setUp, tearDown, getRootFolder)
@@ -258,6 +259,7 @@
         self.app = self.getRootFolder()['app']
 
+        tz = getUtility(IKofaUtils).tzinfo
         batch = AccessCodeBatch(    # create batch with zero entries
-            datetime.now(), 'testuser', 'FOO', 9.99, 0)
+            datetime.now(tz), 'testuser', 'FOO', 9.99, 0)
         self.app['accesscodes'].addBatch(batch)
 
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py	(revision 8181)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py	(revision 8182)
@@ -521,5 +521,6 @@
         self.context.r_code = u'00'
         self.context.p_state = 'paid'
-        self.context.payment_date = datetime.now()
+        tz = getUtility(IKofaUtils).tzinfo
+        self.context.payment_date = datetime.now(tz)
         ob_class = self.__implemented__.__name__.replace('waeup.kofa.','')
         self.context.__parent__.loggerInfo(
Index: main/waeup.kofa/trunk/src/waeup/kofa/payments/payment.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/payments/payment.py	(revision 8181)
+++ main/waeup.kofa/trunk/src/waeup/kofa/payments/payment.py	(revision 8182)
@@ -22,4 +22,6 @@
 from datetime import datetime
 from grok import index
+from zope.component import getUtility
+from waeup.kofa.interfaces import IKofaUtils
 from waeup.kofa.payments.interfaces import (
     IPayment, ISCPayment, IOnlinePayment,
@@ -36,5 +38,10 @@
     def __init__(self):
         super(Payment, self).__init__()
-        self.creation_date = datetime.now()
+        try:
+            tz = getUtility(IKofaUtils).tzinfo
+        except:
+            #In unit tests KofaUtils is not available.
+            tz = None
+        self.creation_date = datetime.now(tz)
         self.p_id = None
         return
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/accommodation.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/accommodation.py	(revision 8181)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/accommodation.py	(revision 8182)
@@ -21,7 +21,8 @@
 from datetime import datetime
 import grok
+from zope.component import getUtility
 from zope.component.interfaces import IFactory
 from zope.interface import implementedBy
-from waeup.kofa.interfaces import academic_sessions_vocab
+from waeup.kofa.interfaces import academic_sessions_vocab, IKofaUtils
 from waeup.kofa.students.interfaces import (
     IStudentAccommodation, IStudentNavigation, IBedTicket)
@@ -61,5 +62,6 @@
     def __init__(self):
         super(BedTicket, self).__init__()
-        self.booking_date = datetime.now()
+        tz = getUtility(IKofaUtils).tzinfo
+        self.booking_date = datetime.now(tz)
         self.bed = None
         return
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py	(revision 8181)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py	(revision 8182)
@@ -1145,5 +1145,6 @@
         self.context.r_code = u'00'
         self.context.p_state = 'paid'
-        self.context.payment_date = datetime.now()
+        tz = getUtility(IKofaUtils).tzinfo
+        self.context.payment_date = datetime.now(tz)
         if self.context.p_category == 'clearance':
             # Create CLR access code
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/interfaces.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/interfaces.py	(revision 8181)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/interfaces.py	(revision 8182)
@@ -379,4 +379,12 @@
         )
 
+    def addCourseTicket(courseticket):
+        """Add a course ticket object.
+        """
+
+    def getStudent():
+        """Return student
+        """
+
 class ICourseTicket(IKofaObject):
     """A course ticket.
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_browser.py	(revision 8181)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_browser.py	(revision 8182)
@@ -26,5 +26,5 @@
 import grok
 from zope.event import notify
-from zope.component import createObject, queryUtility
+from zope.component import createObject, queryUtility, getUtility
 from zope.component.hooks import setSite, clearSite
 from zope.catalog.interfaces import ICatalog
@@ -40,5 +40,5 @@
 from waeup.kofa.university.faculty import Faculty
 from waeup.kofa.university.department import Department
-from waeup.kofa.interfaces import IUserAccount
+from waeup.kofa.interfaces import IUserAccount, IKofaUtils
 from waeup.kofa.authentication import LocalRoleSetEvent
 from waeup.kofa.hostels.hostel import Hostel, Bed, NOT_OCCUPIED
@@ -121,6 +121,7 @@
         # Create 5 access codes with prefix'PWD'
         pin_container = self.app['accesscodes']
+        tz = getUtility(IKofaUtils).tzinfo
         pin_container.createBatch(
-            datetime.now(), 'some_userid', 'PWD', 9.99, 5)
+            datetime.now(tz), 'some_userid', 'PWD', 9.99, 5)
         pins = pin_container['PWD-1'].values()
         self.pwdpins = [x.representation for x in pins]