Index: /main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/accesscode.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/accesscode.py	(revision 8182)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/accesscodes/accesscode.py	(revision 8183)
@@ -246,5 +246,6 @@
         """
         ac_storage = self._getStoragePath()
-        now = datetime.now()
+        tz = getUtility(IKofaUtils).tzinfo
+        now = datetime.now(tz)
         timestamp = now.strftime('%Y_%m_%d_%H_%M_%S')
         csv_path = os.path.join(
Index: /main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py	(revision 8182)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py	(revision 8183)
@@ -828,5 +828,6 @@
             return
         IWorkflowInfo(self.context).fireTransition('submit')
-        self.context.application_date = datetime.now()
+        tz = getUtility(IKofaUtils).tzinfo
+        self.context.application_date = datetime.now(tz)
         self.context.locked = True
         self.flash(_('Form has been submitted.'))
Index: /main/waeup.kofa/trunk/src/waeup/kofa/browser/pdf.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/browser/pdf.py	(revision 8182)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/browser/pdf.py	(revision 8183)
@@ -32,5 +32,7 @@
 from zope.i18n import translate
 from zope.publisher.browser import TestRequest
+from zope.component import getUtility
 from waeup.kofa.browser.interfaces import IPDFCreator
+from waeup.kofa.interfaces import IKofaUtils
 from waeup.kofa.interfaces import MessageFactory as _
 
@@ -328,5 +330,6 @@
         canvas.setFont("Helvetica", 9)
         if not getattr(doc, 'kofa_nodate', False):
-            today = datetime.now().strftime('%d/%m/%Y %H:%M:%S')
+            tz = getUtility(IKofaUtils).tzinfo
+            today = datetime.now(tz).strftime('%d/%m/%Y %H:%M:%S')
             canvas.drawString(2.2*cm, 0.5 * inch,
                 translate(_(u'Date: ${a}', mapping = {'a': today})))
Index: /main/waeup.kofa/trunk/src/waeup/kofa/hostels/hostel.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/hostels/hostel.py	(revision 8182)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/hostels/hostel.py	(revision 8183)
@@ -21,4 +21,5 @@
 import grok
 from zope.event import notify
+from zope.component import getUtility
 from datetime import datetime
 from waeup.kofa.utils.helpers import attrs_to_fields
@@ -26,4 +27,5 @@
 from waeup.kofa.hostels.interfaces import IHostel, IBed, IBedAllocateStudent
 from waeup.kofa.students.interfaces import IBedTicket
+from waeup.kofa.interfaces import IKofaUtils
 from waeup.kofa.interfaces import MessageFactory as _
 
@@ -204,5 +206,6 @@
                 return '%s without bed ticket' % old_owner
             bedticket.bed = None
-            timestamp = datetime.now().strftime("%Y-%m-%d %H:%M:%S")
+            tz = getUtility(IKofaUtils).tzinfo
+            timestamp = datetime.now(tz).strftime("%Y-%m-%d %H:%M:%S")
             bedticket.bed_coordinates = u'-- booking cancelled on %s --' % timestamp
             return old_owner
Index: /main/waeup.kofa/trunk/src/waeup/kofa/objecthistory.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/objecthistory.py	(revision 8182)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/objecthistory.py	(revision 8183)
@@ -60,5 +60,6 @@
         """
         msgs = self._getMessages()
-        timestamp = datetime.now().strftime("%Y-%m-%d %H:%M:%S")
+        tz = getUtility(IKofaUtils).tzinfo
+        timestamp = datetime.now(tz).strftime("%Y-%m-%d %H:%M:%S")
         user = get_current_principal()
         if user is None:
Index: /main/waeup.kofa/trunk/src/waeup/kofa/students/utils.py
===================================================================
--- /main/waeup.kofa/trunk/src/waeup/kofa/students/utils.py	(revision 8182)
+++ /main/waeup.kofa/trunk/src/waeup/kofa/students/utils.py	(revision 8183)
@@ -207,5 +207,6 @@
       story = []
       frame_footer = Frame(1*cm,0,width-(2*cm),1*cm)
-      timestamp = datetime.now().strftime("%d/%m/%Y %H:%M:%S")
+      tz = getUtility(IKofaUtils).tzinfo
+      timestamp = datetime.now(tz).strftime("%d/%m/%Y %H:%M:%S")
       left_text = '<font size=10>%s</font>' % timestamp
       story.append(Paragraph(left_text, style["Normal"]))