Index: main/waeup.uniben/trunk/src/waeup/uniben/applicants/browser.py
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/applicants/browser.py	(revision 8178)
+++ main/waeup.uniben/trunk/src/waeup/uniben/applicants/browser.py	(revision 8184)
@@ -19,7 +19,4 @@
 """
 import grok
-from waeup.kofa.widgets.datewidget import (
-    FriendlyDateWidget, FriendlyDateDisplayWidget,
-    FriendlyDatetimeDisplayWidget)
 from waeup.uniben.widgets.phonewidget import PhoneWidget
 from waeup.kofa.applicants.interfaces import (
@@ -59,6 +56,4 @@
             form_fields = grok.AutoFields(IUGApplicant).omit(
                 'locked', 'course_admitted')
-        form_fields[
-            'date_of_birth'].custom_widget = FriendlyDateDisplayWidget('le')
         return form_fields
 
@@ -84,6 +79,4 @@
             form_fields = grok.AutoFields(IUGApplicant).omit(
                 'locked', 'course_admitted', 'password')
-        form_fields[
-            'date_of_birth'].custom_widget = FriendlyDateDisplayWidget('le')
         return form_fields
 
@@ -97,16 +90,6 @@
         if target is not None and target.startswith('pg'):
             form_fields = grok.AutoFields(IPGApplicant)
-            form_fields[
-                'emp_start'].custom_widget = FriendlyDateWidget('le-year')
-            form_fields[
-                'emp_end'].custom_widget = FriendlyDateWidget('le-year')
-            form_fields[
-                'emp2_start'].custom_widget = FriendlyDateWidget('le-year')
-            form_fields[
-                'emp2_end'].custom_widget = FriendlyDateWidget('le-year')
         else:
             form_fields = grok.AutoFields(IUGApplicant)
-        form_fields[
-            'date_of_birth'].custom_widget = FriendlyDateWidget('le-year')
         form_fields['phone'].custom_widget = PhoneWidget
         form_fields['student_id'].for_display = True
@@ -126,12 +109,4 @@
                 'screening_score', 'screening_venue'
                 )
-            form_fields[
-                'emp_start'].custom_widget = FriendlyDateWidget('le-year')
-            form_fields[
-                'emp_end'].custom_widget = FriendlyDateWidget('le-year')
-            form_fields[
-                'emp2_start'].custom_widget = FriendlyDateWidget('le-year')
-            form_fields[
-                'emp2_end'].custom_widget = FriendlyDateWidget('le-year')
         else:
             form_fields = grok.AutoFields(IUGApplicantEdit).omit(
@@ -139,6 +114,4 @@
                 'screening_score'
                 )
-        form_fields[
-            'date_of_birth'].custom_widget = FriendlyDateWidget('le-year')
         form_fields['phone'].custom_widget = PhoneWidget
         form_fields['applicant_id'].for_display = True
Index: main/waeup.uniben/trunk/src/waeup/uniben/applicants/interfaces.py
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/applicants/interfaces.py	(revision 8178)
+++ main/waeup.uniben/trunk/src/waeup/uniben/applicants/interfaces.py	(revision 8184)
@@ -25,8 +25,10 @@
 from waeup.kofa.schoolgrades import ResultEntryField
 from waeup.kofa.interfaces import SimpleKofaVocabulary
+from waeup.kofa.schema import FormattedDate
 from waeup.kofa.students.vocabularies import nats_vocab
 from waeup.uniben.interfaces import (
     lgas_vocab, high_qual, high_grade, exam_types)
 from waeup.uniben.interfaces import MessageFactory as _
+
 
 class IUGApplicant(IApplicantBaseData):
@@ -150,10 +152,10 @@
         readonly = False,
         )
-    emp_start = schema.Date(
+    emp_start = FormattedDate(
         title = _(u'Start Date'),
         required = False,
         readonly = False,
         )
-    emp_end = schema.Date(
+    emp_end = FormattedDate(
         title = _(u'End Date'),
         required = False,
@@ -175,10 +177,10 @@
         readonly = False,
         )
-    emp2_start = schema.Date(
+    emp2_start = FormattedDate(
         title = _(u'Start Date'),
         required = False,
         readonly = False,
         )
-    emp2_end = schema.Date(
+    emp2_end = FormattedDate(
         title = _(u'End Date'),
         required = False,
Index: main/waeup.uniben/trunk/src/waeup/uniben/students/browser.py
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/students/browser.py	(revision 8178)
+++ main/waeup.uniben/trunk/src/waeup/uniben/students/browser.py	(revision 8184)
@@ -19,7 +19,4 @@
 from zope.formlib.textwidgets import BytesDisplayWidget
 from zope.component import getUtility
-from waeup.kofa.widgets.datewidget import (
-    FriendlyDateWidget, FriendlyDateDisplayWidget
-    )
 from waeup.kofa.interfaces import IExtFileStore
 from waeup.kofa.students.browser import (
@@ -88,15 +85,6 @@
         if cm is not None and cm.startswith('pg'):
             form_fields = grok.AutoFields(IPGStudentClearance).omit('clearance_locked')
-            form_fields['emp_start'].custom_widget = FriendlyDateDisplayWidget('le')
-            form_fields['emp_end'].custom_widget = FriendlyDateDisplayWidget('le')
-            form_fields['emp2_start'].custom_widget = FriendlyDateDisplayWidget('le')
-            form_fields['emp2_end'].custom_widget = FriendlyDateDisplayWidget('le')
         else:
             form_fields = grok.AutoFields(IUGStudentClearance).omit('clearance_locked')
-        form_fields['date_of_birth'].custom_widget = FriendlyDateDisplayWidget('le')
-        form_fields['fst_sit_date'].custom_widget = FriendlyDateDisplayWidget('le')
-        form_fields['scd_sit_date'].custom_widget = FriendlyDateDisplayWidget('le')
-        form_fields['scd_sit_date'].custom_widget = FriendlyDateDisplayWidget('le')
-        form_fields['alr_date'].custom_widget = FriendlyDateDisplayWidget('le')
         return form_fields
 
@@ -111,15 +99,6 @@
         if cm is not None and cm.startswith('pg'):
             form_fields = grok.AutoFields(IPGStudentClearance).omit('clearance_locked')
-            form_fields['emp_start'].custom_widget = FriendlyDateDisplayWidget('le')
-            form_fields['emp_end'].custom_widget = FriendlyDateDisplayWidget('le')
-            form_fields['emp2_start'].custom_widget = FriendlyDateDisplayWidget('le')
-            form_fields['emp2_end'].custom_widget = FriendlyDateDisplayWidget('le')
         else:
             form_fields = grok.AutoFields(IUGStudentClearance).omit('clearance_locked')
-        form_fields['date_of_birth'].custom_widget = FriendlyDateDisplayWidget('le')
-        form_fields['fst_sit_date'].custom_widget = FriendlyDateDisplayWidget('le')
-        form_fields['scd_sit_date'].custom_widget = FriendlyDateDisplayWidget('le')
-        form_fields['scd_sit_date'].custom_widget = FriendlyDateDisplayWidget('le')
-        form_fields['alr_date'].custom_widget = FriendlyDateDisplayWidget('le')
         return form_fields
 
@@ -134,17 +113,6 @@
         if cm is not None and cm.startswith('pg'):
             form_fields = grok.AutoFields(IPGStudentClearance)
-            form_fields['emp_start'].custom_widget = FriendlyDateWidget('le-year')
-            form_fields['emp_end'].custom_widget = FriendlyDateWidget('le-year')
-            form_fields['emp2_start'].custom_widget = FriendlyDateWidget('le-year')
-            form_fields['emp2_end'].custom_widget = FriendlyDateWidget('le-year')
         else:
             form_fields = grok.AutoFields(IUGStudentClearance)
-        form_fields['date_of_birth'].custom_widget = FriendlyDateWidget('le-year')
-        form_fields['fst_sit_date'].custom_widget = FriendlyDateWidget('le-year')
-        form_fields['scd_sit_date'].custom_widget = FriendlyDateWidget('le-year')
-        form_fields['scd_sit_date'].custom_widget = FriendlyDateWidget('le-year')
-        form_fields['alr_date'].custom_widget = FriendlyDateWidget('le-year')
-
-
         return form_fields
 
@@ -159,15 +127,6 @@
         if cm is not None and cm.startswith('pg'):
             form_fields = grok.AutoFields(IPGStudentClearance).omit('clearance_locked')
-            form_fields['emp_start'].custom_widget = FriendlyDateWidget('le-year')
-            form_fields['emp_end'].custom_widget = FriendlyDateWidget('le-year')
-            form_fields['emp2_start'].custom_widget = FriendlyDateWidget('le-year')
-            form_fields['emp2_end'].custom_widget = FriendlyDateWidget('le-year')
         else:
             form_fields = grok.AutoFields(IUGStudentClearance).omit('clearance_locked')
-        form_fields['date_of_birth'].custom_widget = FriendlyDateWidget('le-year')
-        form_fields['fst_sit_date'].custom_widget = FriendlyDateWidget('le-year')
-        form_fields['scd_sit_date'].custom_widget = FriendlyDateWidget('le-year')
-        form_fields['scd_sit_date'].custom_widget = FriendlyDateWidget('le-year')
-        form_fields['alr_date'].custom_widget = FriendlyDateWidget('le-year')
         return form_fields
 
Index: main/waeup.uniben/trunk/src/waeup/uniben/students/interfaces.py
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/students/interfaces.py	(revision 8178)
+++ main/waeup.uniben/trunk/src/waeup/uniben/students/interfaces.py	(revision 8184)
@@ -19,4 +19,5 @@
 from waeup.kofa.schema import TextLineChoice
 from waeup.kofa.interfaces import SimpleKofaVocabulary
+from waeup.kofa.schema import FormattedDate
 from waeup.kofa.schoolgrades import ResultEntryField
 from waeup.kofa.students.vocabularies import nats_vocab
@@ -61,5 +62,5 @@
 
     """
-    date_of_birth = schema.Date(
+    date_of_birth = FormattedDate(
         title = _(u'Date of Birth'),
         required = False,
@@ -95,5 +96,5 @@
         )
 
-    fst_sit_date = schema.Date(
+    fst_sit_date = FormattedDate(
         title = _(u'Exam Date'),
         required = False,
@@ -127,5 +128,5 @@
         )
 
-    scd_sit_date = schema.Date(
+    scd_sit_date = FormattedDate(
         title = _(u'Exam Date'),
         required = False,
@@ -159,5 +160,5 @@
         )
 
-    alr_date = schema.Date(
+    alr_date = FormattedDate(
         title = _(u'Exam Date'),
         required = False,
@@ -279,5 +280,5 @@
         )
 
-    emp_start = schema.Date(
+    emp_start = FormattedDate(
         title = _(u'Start Date'),
         required = False,
@@ -285,5 +286,5 @@
         )
 
-    emp_end = schema.Date(
+    emp_end = FormattedDate(
         title = _(u'End Date'),
         required = False,
@@ -309,10 +310,10 @@
         )
 
-    emp2_start = schema.Date(
+    emp2_start = FormattedDate(
         title = _(u'Start Date'),
         required = False,
         readonly = False,
         )
-    emp2_end = schema.Date(
+    emp2_end = FormattedDate(
         title = _(u'End Date'),
         required = False,