Index: main/waeup.uniben/trunk/src/waeup/uniben/applicants/browser.py
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/applicants/browser.py	(revision 8184)
+++ main/waeup.uniben/trunk/src/waeup/uniben/applicants/browser.py	(revision 8187)
@@ -19,5 +19,4 @@
 """
 import grok
-from waeup.uniben.widgets.phonewidget import PhoneWidget
 from waeup.kofa.applicants.interfaces import (
     IApplicantRegisterUpdate, IApplicant, IApplicantEdit)
@@ -58,12 +57,4 @@
         return form_fields
 
-class ApplicantAddFormPage(ApplicantAddFormPage):
-    """Add-form to add an applicant.
-    """
-    form_fields = grok.AutoFields(IApplicant).select(
-        'firstname', 'middlename', 'lastname',
-        'email', 'phone')
-    form_fields['phone'].custom_widget = PhoneWidget
-
 class ApplicantDisplayFormPage(ApplicantDisplayFormPage):
     """A display view for applicant data.
@@ -92,5 +83,4 @@
         else:
             form_fields = grok.AutoFields(IUGApplicant)
-        form_fields['phone'].custom_widget = PhoneWidget
         form_fields['student_id'].for_display = True
         form_fields['applicant_id'].for_display = True
@@ -114,22 +104,5 @@
                 'screening_score'
                 )
-        form_fields['phone'].custom_widget = PhoneWidget
         form_fields['applicant_id'].for_display = True
         form_fields['reg_number'].for_display = True
         return form_fields
-
-class ApplicantRegistrationPage(ApplicantRegistrationPage):
-    """Captcha'd registration page for applicants.
-    """
-
-    @property
-    def form_fields(self):
-        form_fields = None
-        if self.context.mode == 'create':
-            form_fields = grok.AutoFields(IApplicantEdit).select(
-                'firstname', 'middlename', 'lastname', 'email', 'phone')
-            form_fields['phone'].custom_widget = PhoneWidget
-        elif self.context.mode == 'update':
-            form_fields = grok.AutoFields(IApplicantRegisterUpdate).select(
-                'firstname','reg_number','email')
-        return form_fields
Index: main/waeup.uniben/trunk/src/waeup/uniben/browser/pages.py
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/browser/pages.py	(revision 8184)
+++ main/waeup.uniben/trunk/src/waeup/uniben/browser/pages.py	(revision 8187)
@@ -24,5 +24,4 @@
 from waeup.kofa.browser.pages import (
     UserEditFormPage, UserManageFormPage, AddUserFormPage)
-from waeup.uniben.widgets.phonewidget import PhoneWidget
 
 class SessionConfigurationAddFormPage(SessionConfigurationAddFormPage):
@@ -35,21 +34,2 @@
     """
     form_fields = grok.AutoFields(ISessionConfiguration)
-
-class AddUserFormPage(AddUserFormPage):
-    """Add a user account.
-    """
-    form_fields = grok.AutoFields(IUserAccount)
-    form_fields['phone'].custom_widget = PhoneWidget
-
-class UserManageFormPage(UserManageFormPage):
-    """Manage a user account.
-    """
-    form_fields = grok.AutoFields(IUserAccount).omit('name')
-    form_fields['phone'].custom_widget = PhoneWidget
-
-class UserEditFormPage(UserEditFormPage):
-    """Edit a user account by user
-    """
-    form_fields = grok.AutoFields(IUserAccount).omit(
-        'name', 'description', 'roles')
-    form_fields['phone'].custom_widget = PhoneWidget
Index: main/waeup.uniben/trunk/src/waeup/uniben/students/browser.py
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/students/browser.py	(revision 8184)
+++ main/waeup.uniben/trunk/src/waeup/uniben/students/browser.py	(revision 8187)
@@ -32,5 +32,4 @@
     )
 from waeup.uniben.interfaces import MessageFactory as _
-from waeup.uniben.widgets.phonewidget import PhoneWidget
 
 class RequestCallbackActionButton(RequestCallbackActionButton):
@@ -51,5 +50,4 @@
     """
     form_fields = grok.AutoFields(IStudentBase).omit('student_id')
-    form_fields['phone'].custom_widget = PhoneWidget
 
 class StudentBaseEditFormPage(StudentBaseEditFormPage):
@@ -58,5 +56,4 @@
     form_fields = grok.AutoFields(IStudentBase).select(
         'email', 'phone')
-    form_fields['phone'].custom_widget = PhoneWidget
 
 