Index: main/waeup.uniben/trunk/src/waeup/uniben/applicants/applicant.py
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/applicants/applicant.py	(revision 8191)
+++ main/waeup.uniben/trunk/src/waeup/uniben/applicants/applicant.py	(revision 8196)
@@ -23,10 +23,10 @@
 from waeup.kofa.utils.helpers import attrs_to_fields
 from waeup.uniben.applicants.interfaces import(
-    IApplicant, IUGApplicantEdit, IPGApplicantEdit)
+    ICustomApplicant, IUGApplicantEdit, IPGApplicantEdit)
 
-class Applicant(Applicant):
+class CustomApplicant(Applicant):
 
-    grok.implements(IApplicant, IUGApplicantEdit, IPGApplicantEdit)
-    grok.provides(IApplicant)
+    grok.implements(ICustomApplicant, IUGApplicantEdit, IPGApplicantEdit)
+    grok.provides(ICustomApplicant)
 
 # Set all attributes of Applicant required in IApplicant as field
@@ -34,13 +34,13 @@
 # ourselves and as a bonus we get free validation when an attribute is
 # set.
-Applicant = attrs_to_fields(Applicant)
+CustomApplicant = attrs_to_fields(CustomApplicant)
 
-class ApplicantFactory(ApplicantFactory):
+class CustomApplicantFactory(ApplicantFactory):
     """A factory for customized applicants.
     """
 
     def __call__(self, *args, **kw):
-        return Applicant()
+        return CustomApplicant()
 
     def getInterfaces(self):
-        return implementedBy(Applicant)
+        return implementedBy(CustomApplicant)
Index: main/waeup.uniben/trunk/src/waeup/uniben/applicants/browser.py
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/applicants/browser.py	(revision 8191)
+++ main/waeup.uniben/trunk/src/waeup/uniben/applicants/browser.py	(revision 8196)
@@ -31,5 +31,5 @@
 from waeup.uniben.interfaces import MessageFactory as _
 
-class RequestCallbackActionButton(RequestCallbackActionButton):
+class CustomRequestCallbackActionButton(RequestCallbackActionButton):
     """ Do not display the base package callback button in custom pages.
     """
@@ -38,5 +38,5 @@
         return ''
 
-class OnlinePaymentCallbackPage(OnlinePaymentCallbackPage):
+class CustomOnlinePaymentCallbackPage(OnlinePaymentCallbackPage):
     """ Neutralize callback simulation view
     """
@@ -44,5 +44,5 @@
         return
 
-class PDFApplicationSlip(PDFApplicationSlip):
+class CustomPDFApplicationSlip(PDFApplicationSlip):
 
     @property
@@ -57,5 +57,5 @@
         return form_fields
 
-class ApplicantDisplayFormPage(ApplicantDisplayFormPage):
+class CustomApplicantDisplayFormPage(ApplicantDisplayFormPage):
     """A display view for applicant data.
     """
@@ -72,5 +72,5 @@
         return form_fields
 
-class ApplicantManageFormPage(ApplicantManageFormPage):
+class CustomApplicantManageFormPage(ApplicantManageFormPage):
     """A full edit view for applicant data.
     """
@@ -87,5 +87,5 @@
         return form_fields
 
-class ApplicantEditFormPage(ApplicantEditFormPage):
+class CustomApplicantEditFormPage(ApplicantEditFormPage):
     """An applicant-centered edit view for applicant data.
     """
Index: main/waeup.uniben/trunk/src/waeup/uniben/applicants/export.py
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/applicants/export.py	(revision 8191)
+++ main/waeup.uniben/trunk/src/waeup/uniben/applicants/export.py	(revision 8196)
@@ -23,5 +23,5 @@
 from waeup.uniben.applicants.interfaces import IUGApplicant, IPGApplicant
 
-class ApplicantsExporter(ApplicantsExporter):
+class CustomApplicantsExporter(ApplicantsExporter):
     """Exporter for Uniben Applicants.
     """
Index: main/waeup.uniben/trunk/src/waeup/uniben/applicants/interfaces.py
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/applicants/interfaces.py	(revision 8191)
+++ main/waeup.uniben/trunk/src/waeup/uniben/applicants/interfaces.py	(revision 8196)
@@ -224,5 +224,5 @@
 
 
-class IApplicant(IUGApplicant,IPGApplicant):
+class ICustomApplicant(IUGApplicant,IPGApplicant):
     """An interface for both types of applicants.
 
Index: main/waeup.uniben/trunk/src/waeup/uniben/applicants/tests.py
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/applicants/tests.py	(revision 8191)
+++ main/waeup.uniben/trunk/src/waeup/uniben/applicants/tests.py	(revision 8196)
@@ -34,5 +34,5 @@
 from waeup.kofa.interfaces import IBatchProcessor
 from waeup.uniben.testing import FunctionalLayer
-from waeup.uniben.applicants.export import ApplicantsExporter
+from waeup.uniben.applicants.export import CustomApplicantsExporter
 
 
@@ -187,5 +187,5 @@
         # set values we can expect in export file
         self.applicant = self.setup_applicant(self.applicant)
-        exporter = ApplicantsExporter()
+        exporter = CustomApplicantsExporter()
         exporter.export_all(self.app, self.outfile)
         result = open(self.outfile, 'rb').read()