Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py	(revision 8197)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/browser.py	(revision 8200)
@@ -19,4 +19,5 @@
 """
 import os
+import pytz
 import sys
 import grok
@@ -877,10 +878,12 @@
     def update(self):
         # Check if application has started ...
-        if not self.context.startdate or self.context.startdate > date.today():
+        if not self.context.startdate or (
+            self.context.startdate > datetime.now(pytz.utc)):
             self.flash(_('Application has not yet started.'))
             self.redirect(self.url(self.context))
             return
         # ... or ended
-        if not self.context.enddate or self.context.enddate < date.today():
+        if not self.context.enddate or (
+            self.context.enddate < datetime.now(pytz.utc)):
             self.flash(_('Application has ended.'))
             self.redirect(self.url(self.context))
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/interfaces.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/interfaces.py	(revision 8197)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/interfaces.py	(revision 8200)
@@ -221,14 +221,14 @@
         """Content as language dictionary with values in HTML format.""")
 
-    startdate = FormattedDate(
+    startdate = schema.Datetime(
         title = _(u'Application Start Date'),
         required = False,
-        show_year = False,
-        )
-
-    enddate = FormattedDate(
+        #show_year = False,
+        )
+
+    enddate = schema.Datetime(
         title = _(u'Application Closing Date'),
         required = False,
-        show_year = False,
+        #show_year = False,
         )
 
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_batching.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_batching.py	(revision 8197)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_batching.py	(revision 8200)
@@ -20,4 +20,5 @@
 import datetime
 import os
+import pytz
 import shutil
 import tempfile
@@ -157,6 +158,8 @@
             u'>>de<<\nDieser Text kann von anonymen Benutzern '
             u'gelesen werden.')
-        self.assertEqual(container.startdate, datetime.date(2012, 3, 1))
-        self.assertEqual(container.enddate, datetime.date(2012, 4, 25))
+        self.assertEqual(container.startdate,
+                         datetime.datetime(2012, 3, 1, 0, 0, tzinfo=pytz.utc))
+        self.assertEqual(container.enddate,
+                         datetime.datetime(2012, 4, 25, 0, 0, tzinfo=pytz.utc))
         shutil.rmtree(os.path.dirname(fin_file))
 
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_browser.py	(revision 8197)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_browser.py	(revision 8200)
@@ -19,4 +19,5 @@
 Test the applicant-related UI components.
 """
+import pytz
 import shutil
 import tempfile
@@ -89,6 +90,6 @@
         applicantscontainer.mode = 'create'
         delta = timedelta(days=10)
-        applicantscontainer.startdate = date.today() - delta
-        applicantscontainer.enddate = date.today() + delta
+        applicantscontainer.startdate = datetime.now(pytz.utc) - delta
+        applicantscontainer.enddate = datetime.now(pytz.utc) + delta
         self.app['applicants']['app2009'] = applicantscontainer
         self.applicantscontainer = self.app['applicants']['app2009']
Index: main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_export.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_export.py	(revision 8197)
+++ main/waeup.kofa/trunk/src/waeup/kofa/applicants/tests/test_export.py	(revision 8200)
@@ -1,4 +1,5 @@
 import datetime
 import os
+import pytz
 import shutil
 import tempfile
@@ -56,6 +57,8 @@
         container.description = u'Some Description\nwith linebreak\n'
         container.description += u'<<de>>man spriht deutsh'
-        container.startdate = datetime.date(2012, 1, 1)
-        container.enddate = datetime.date(2012, 1, 31)
+        container.startdate = datetime.datetime(
+            2012, 1, 1, 12, 0, 0, tzinfo=pytz.utc)
+        container.enddate = datetime.datetime(
+            2012, 1, 31, 23, 0, 0, tzinfo=pytz.utc)
         return container
 
@@ -74,5 +77,5 @@
             'dp2012,General Studies 2012/13,app,100,2012,basic,'
             '"Some Description\nwith linebreak\n<<de>>man spriht deutsh",'
-            '2012-01-01,2012-01-31,1\r\n'
+            '2012-01-01 12:00:00+00:00,2012-01-31 23:00:00+00:00,1\r\n'
             )
         return