Index: main/waeup.uniben/trunk/src/waeup/uniben/applicants/applicant.py
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/applicants/applicant.py	(revision 8201)
+++ main/waeup.uniben/trunk/src/waeup/uniben/applicants/applicant.py	(revision 8204)
@@ -20,5 +20,4 @@
 from zope.interface import implementedBy
 from waeup.kofa.applicants.applicant import Applicant, ApplicantFactory
-from waeup.kofa.applicants.interfaces import IApplicantEdit
 from waeup.kofa.utils.helpers import attrs_to_fields
 from waeup.uniben.applicants.interfaces import(
Index: main/waeup.uniben/trunk/src/waeup/uniben/browser/pages.py
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/browser/pages.py	(revision 8201)
+++ main/waeup.uniben/trunk/src/waeup/uniben/browser/pages.py	(revision 8204)
@@ -21,15 +21,15 @@
 from waeup.kofa.interfaces import IUserAccount
 from waeup.uniben.interfaces import (
-    ISessionConfiguration, ISessionConfigurationAdd)
+    ICustomSessionConfiguration, ICustomSessionConfigurationAdd)
 from waeup.kofa.browser.pages import (
     UserEditFormPage, UserManageFormPage, AddUserFormPage)
 
-class SessionConfigurationAddFormPage(SessionConfigurationAddFormPage):
+class CustomSessionConfigurationAddFormPage(SessionConfigurationAddFormPage):
     """Add a session configuration object to configuration container.
     """
-    form_fields = grok.AutoFields(ISessionConfigurationAdd)
+    form_fields = grok.AutoFields(ICustomSessionConfigurationAdd)
 
-class SessionConfigurationManageFormPage(SessionConfigurationManageFormPage):
+class CustomSessionConfigurationManageFormPage(SessionConfigurationManageFormPage):
     """Manage session configuration object.
     """
-    form_fields = grok.AutoFields(ISessionConfiguration)
+    form_fields = grok.AutoFields(ICustomSessionConfiguration)
Index: main/waeup.uniben/trunk/src/waeup/uniben/browser/pdf.py
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/browser/pdf.py	(revision 8201)
+++ main/waeup.uniben/trunk/src/waeup/uniben/browser/pdf.py	(revision 8204)
@@ -23,5 +23,5 @@
 from waeup.kofa.browser.pdf import PDFCreator
 
-class PDFCreator(PDFCreator):
+class CustomPDFCreator(PDFCreator):
     """A utility to help with generating PDF docs.
     """
Index: main/waeup.uniben/trunk/src/waeup/uniben/configuration.py
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/configuration.py	(revision 8201)
+++ main/waeup.uniben/trunk/src/waeup/uniben/configuration.py	(revision 8204)
@@ -25,23 +25,23 @@
     SessionConfigurationFactory, SessionConfiguration)
 from waeup.uniben.interfaces import (
-    ISessionConfiguration, ISessionConfigurationAdd)
+    ICustomSessionConfiguration, ICustomSessionConfigurationAdd)
 
 
-class SessionConfiguration(SessionConfiguration):
+class CustomSessionConfiguration(SessionConfiguration):
     """
     Customized session configuration model
     """
 
-    grok.implements(ISessionConfiguration, ISessionConfigurationAdd)
+    grok.implements(ICustomSessionConfiguration, ICustomSessionConfigurationAdd)
 
-SessionConfiguration = attrs_to_fields(SessionConfiguration)
+CustomSessionConfiguration = attrs_to_fields(CustomSessionConfiguration)
 
-class SessionConfigurationFactory(SessionConfigurationFactory):
+class CustomSessionConfigurationFactory(SessionConfigurationFactory):
     """A customized factory for session configuration objects.
     """
 
     def __call__(self, *args, **kw):
-        return SessionConfiguration(*args, **kw)
+        return CustomSessionConfiguration(*args, **kw)
 
     def getInterfaces(self):
-        return implementedBy(SessionConfiguration)
+        return implementedBy(CustomSessionConfiguration)
Index: main/waeup.uniben/trunk/src/waeup/uniben/interfaces.py
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/interfaces.py	(revision 8201)
+++ main/waeup.uniben/trunk/src/waeup/uniben/interfaces.py	(revision 8204)
@@ -74,5 +74,5 @@
 
 # It's recommended to replicate all fields from the base package here.
-class ISessionConfiguration(ISessionConfiguration):
+class ICustomSessionConfiguration(ISessionConfiguration):
     """A session configuration object.
     """
@@ -147,5 +147,5 @@
 
 
-class ISessionConfigurationAdd(ISessionConfiguration):
+class ICustomSessionConfigurationAdd(ISessionConfiguration):
     """A session configuration object in add mode.
     """
@@ -159,4 +159,5 @@
         )
 
-ISessionConfigurationAdd['academic_session'].order =  ISessionConfiguration[
+ICustomSessionConfigurationAdd[
+    'academic_session'].order =  ICustomSessionConfiguration[
     'academic_session'].order
Index: main/waeup.uniben/trunk/src/waeup/uniben/overrides.zcml
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/overrides.zcml	(revision 8201)
+++ main/waeup.uniben/trunk/src/waeup/uniben/overrides.zcml	(revision 8204)
@@ -9,5 +9,5 @@
            zope.publisher.interfaces.browser.IBrowserRequest"
       provides="zope.formlib.interfaces.ISimpleInputWidget"
-      factory="waeup.uniben.widgets.phonewidget.SmallPhoneWidget"
+      factory="waeup.uniben.widgets.phonewidget.CustomPhoneWidget"
       permission="zope.Public"
       />
Index: main/waeup.uniben/trunk/src/waeup/uniben/students/batching.py
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/students/batching.py	(revision 8201)
+++ main/waeup.uniben/trunk/src/waeup/uniben/students/batching.py	(revision 8204)
@@ -25,10 +25,10 @@
 """
 from waeup.uniben.students.interfaces import (
-    IStudent, 
+    ICustomStudent,
     )
 from waeup.kofa.students.batching import StudentProcessor
 
-class StudentProcessor(StudentProcessor):
+class CustomStudentProcessor(StudentProcessor):
     """A batch processor for IStudent objects.
     """
-    iface = IStudent
+    iface = ICustomStudent
Index: main/waeup.uniben/trunk/src/waeup/uniben/students/browser.py
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/students/browser.py	(revision 8201)
+++ main/waeup.uniben/trunk/src/waeup/uniben/students/browser.py	(revision 8204)
@@ -28,10 +28,10 @@
 from waeup.kofa.students.viewlets import RequestCallbackActionButton
 from waeup.uniben.students.interfaces import (
-    IStudentBase, IStudent, IStudentPersonal,
-    IUGStudentClearance,IPGStudentClearance,
+    ICustomStudentBase, ICustomStudent, ICustomStudentPersonal,
+    ICustomUGStudentClearance,ICustomPGStudentClearance,
     )
 from waeup.uniben.interfaces import MessageFactory as _
 
-class RequestCallbackActionButton(RequestCallbackActionButton):
+class CustomRequestCallbackActionButton(RequestCallbackActionButton):
     """ Do not display the base package callback button in custom pages.
     """
@@ -40,5 +40,5 @@
         return ''
 
-class OnlinePaymentCallbackPage(OnlinePaymentCallbackPage):
+class CustomOnlinePaymentCallbackPage(OnlinePaymentCallbackPage):
     """ Neutralize callback simulation view
     """
@@ -46,34 +46,34 @@
         return
 
-class StudentBaseManageFormPage(StudentBaseManageFormPage):
+class CustomStudentBaseManageFormPage(StudentBaseManageFormPage):
     """ View to manage student base data
     """
-    form_fields = grok.AutoFields(IStudentBase).omit('student_id')
+    form_fields = grok.AutoFields(ICustomStudentBase).omit('student_id')
 
-class StudentBaseEditFormPage(StudentBaseEditFormPage):
+class CustomStudentBaseEditFormPage(StudentBaseEditFormPage):
     """ View to edit student base data
     """
-    form_fields = grok.AutoFields(IStudentBase).select(
+    form_fields = grok.AutoFields(ICustomStudentBase).select(
         'email', 'phone')
 
 
-class StudentPersonalDisplayFormPage(StudentPersonalDisplayFormPage):
+class CustomStudentPersonalDisplayFormPage(StudentPersonalDisplayFormPage):
     """ Page to display student personal data
     """
-    grok.context(IStudent)
-    form_fields = grok.AutoFields(IStudentPersonal)
+    grok.context(ICustomStudent)
+    form_fields = grok.AutoFields(ICustomStudentPersonal)
     form_fields['perm_address'].custom_widget = BytesDisplayWidget
 
 
-class StudentPersonalEditFormPage(StudentPersonalEditFormPage):
+class CustomStudentPersonalEditFormPage(StudentPersonalEditFormPage):
     """ Page to edit personal data
     """
-    form_fields = grok.AutoFields(IStudentPersonal)
+    form_fields = grok.AutoFields(ICustomStudentPersonal)
 
 
-class StudentClearanceDisplayFormPage(StudentClearanceDisplayFormPage):
+class CustomStudentClearanceDisplayFormPage(StudentClearanceDisplayFormPage):
     """ Page to display student clearance data
     """
-    grok.context(IStudent)
+    grok.context(ICustomStudent)
 
     @property
@@ -81,13 +81,15 @@
         cm = getattr(self.context,'current_mode', None)
         if cm is not None and cm.startswith('pg'):
-            form_fields = grok.AutoFields(IPGStudentClearance).omit('clearance_locked')
+            form_fields = grok.AutoFields(
+                ICustomPGStudentClearance).omit('clearance_locked')
         else:
-            form_fields = grok.AutoFields(IUGStudentClearance).omit('clearance_locked')
+            form_fields = grok.AutoFields(
+                ICustomUGStudentClearance).omit('clearance_locked')
         return form_fields
 
-class ExportPDFClearanceSlipPage(ExportPDFClearanceSlipPage):
+class CustomExportPDFClearanceSlipPage(ExportPDFClearanceSlipPage):
     """Deliver a PDF slip of the context.
     """
-    grok.context(IStudent)
+    grok.context(ICustomStudent)
 
     @property
@@ -95,13 +97,15 @@
         cm = getattr(self.context,'current_mode', None)
         if cm is not None and cm.startswith('pg'):
-            form_fields = grok.AutoFields(IPGStudentClearance).omit('clearance_locked')
+            form_fields = grok.AutoFields(
+                ICustomPGStudentClearance).omit('clearance_locked')
         else:
-            form_fields = grok.AutoFields(IUGStudentClearance).omit('clearance_locked')
+            form_fields = grok.AutoFields(
+                ICustomUGStudentClearance).omit('clearance_locked')
         return form_fields
 
-class StudentClearanceManageFormPage(StudentClearanceManageFormPage):
+class CustomStudentClearanceManageFormPage(StudentClearanceManageFormPage):
     """ Page to edit student clearance data
     """
-    grok.context(IStudent)
+    grok.context(ICustomStudent)
 
     @property
@@ -109,13 +113,13 @@
         cm = getattr(self.context,'current_mode', None)
         if cm is not None and cm.startswith('pg'):
-            form_fields = grok.AutoFields(IPGStudentClearance)
+            form_fields = grok.AutoFields(ICustomPGStudentClearance)
         else:
-            form_fields = grok.AutoFields(IUGStudentClearance)
+            form_fields = grok.AutoFields(ICustomUGStudentClearance)
         return form_fields
 
-class StudentClearanceEditFormPage(StudentClearanceEditFormPage):
+class CustomStudentClearanceEditFormPage(StudentClearanceEditFormPage):
     """ View to edit student clearance data by student
     """
-    grok.context(IStudent)
+    grok.context(ICustomStudent)
 
     @property
@@ -123,7 +127,7 @@
         cm = getattr(self.context,'current_mode', None)
         if cm is not None and cm.startswith('pg'):
-            form_fields = grok.AutoFields(IPGStudentClearance).omit('clearance_locked')
+            form_fields = grok.AutoFields(ICustomPGStudentClearance).omit('clearance_locked')
         else:
-            form_fields = grok.AutoFields(IUGStudentClearance).omit('clearance_locked')
+            form_fields = grok.AutoFields(ICustomUGStudentClearance).omit('clearance_locked')
         return form_fields
 
Index: main/waeup.uniben/trunk/src/waeup/uniben/students/interfaces.py
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/students/interfaces.py	(revision 8201)
+++ main/waeup.uniben/trunk/src/waeup/uniben/students/interfaces.py	(revision 8204)
@@ -32,5 +32,5 @@
 from waeup.uniben.interfaces import MessageFactory as _
 
-class IStudentBase(IStudentBase):
+class ICustomStudentBase(IStudentBase):
     """Representation of student base data.
 
@@ -44,5 +44,5 @@
         )
 
-class IStudentPersonal(IStudentPersonal):
+class ICustomStudentPersonal(IStudentPersonal):
     """Student personal data.
 
@@ -58,5 +58,5 @@
         )
 
-class IUGStudentClearance(IUGStudentClearance):
+class ICustomUGStudentClearance(IUGStudentClearance):
     """Representation of ug student clearance data.
 
@@ -213,5 +213,5 @@
 
 
-class IPGStudentClearance(IUGStudentClearance):
+class ICustomPGStudentClearance(IUGStudentClearance):
     """Representation of pg student clearance data.
 
@@ -334,5 +334,6 @@
 
 
-class IStudent(IStudentBase,IUGStudentClearance,IPGStudentClearance,IStudentPersonal):
+class ICustomStudent(ICustomStudentBase,ICustomUGStudentClearance,
+    ICustomPGStudentClearance,ICustomStudentPersonal):
     """Representation of a student.
 
Index: main/waeup.uniben/trunk/src/waeup/uniben/students/student.py
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/students/student.py	(revision 8201)
+++ main/waeup.uniben/trunk/src/waeup/uniben/students/student.py	(revision 8204)
@@ -23,13 +23,13 @@
 from waeup.kofa.utils.helpers import attrs_to_fields
 from waeup.kofa.students.student import Student, StudentFactory
-from waeup.uniben.students.interfaces import IStudent, IStudentNavigation
+from waeup.uniben.students.interfaces import ICustomStudent, IStudentNavigation
 
 
-class Student(Student):
+class CustomStudent(Student):
     """This is a student container for the various objects
     owned by students.
     """
-    grok.implements(IStudent, IStudentNavigation)
-    grok.provides(IStudent)
+    grok.implements(ICustomStudent, IStudentNavigation)
+    grok.provides(ICustomStudent)
 
 
@@ -38,13 +38,13 @@
 # ourselves and as a bonus we get free validation when an attribute is
 # set.
-Student = attrs_to_fields(Student)
+CustomStudent = attrs_to_fields(CustomStudent)
 
-class StudentFactory(StudentFactory):
+class CustomStudentFactory(StudentFactory):
     """A factory for students.
     """
 
     def __call__(self, *args, **kw):
-        return Student()
+        return CustomStudent()
 
     def getInterfaces(self):
-        return implementedBy(Student)
+        return implementedBy(CustomStudent)
Index: main/waeup.uniben/trunk/src/waeup/uniben/students/tests/test_browser.py
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/students/tests/test_browser.py	(revision 8201)
+++ main/waeup.uniben/trunk/src/waeup/uniben/students/tests/test_browser.py	(revision 8204)
@@ -24,6 +24,6 @@
 from waeup.kofa.students.tests.test_browser import StudentsFullSetup
 from waeup.kofa.testing import FunctionalTestCase
-from waeup.kofa.students.batching import StudentProcessor as StudentProcessorBase
-from waeup.uniben.students.batching import StudentProcessor
+from waeup.kofa.students.batching import StudentProcessor
+from waeup.uniben.students.batching import CustomStudentProcessor
 from waeup.uniben.testing import FunctionalLayer
 
@@ -58,6 +58,6 @@
         setSite(app)
 
-        self.processor_base = StudentProcessorBase()
-        self.processor = StudentProcessor()
+        self.processor_base = StudentProcessor()
+        self.processor = CustomStudentProcessor()
         self.workdir = tempfile.mkdtemp()
         self.csv_file = os.path.join(self.workdir, 'sample_student_data.csv')
Index: main/waeup.uniben/trunk/src/waeup/uniben/students/utils.py
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/students/utils.py	(revision 8201)
+++ main/waeup.uniben/trunk/src/waeup/uniben/students/utils.py	(revision 8204)
@@ -42,5 +42,5 @@
         return 0.0
 
-class StudentsUtils(StudentsUtils):
+class CustomStudentsUtils(StudentsUtils):
     """A collection of customized methods.
 
Index: main/waeup.uniben/trunk/src/waeup/uniben/tests/test_configuration.py
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/tests/test_configuration.py	(revision 8201)
+++ main/waeup.uniben/trunk/src/waeup/uniben/tests/test_configuration.py	(revision 8204)
@@ -26,7 +26,7 @@
     ConfigurationTest, SessionConfigurationFactoryTest)
 from waeup.uniben.configuration import (
-    SessionConfiguration, SessionConfigurationFactory)
+    CustomSessionConfiguration, CustomSessionConfigurationFactory)
 from waeup.uniben.interfaces import(
-    ISessionConfiguration, ISessionConfigurationAdd)
+    ICustomSessionConfiguration, ICustomSessionConfigurationAdd)
 from waeup.uniben.testing import FunctionalLayer
 
@@ -38,5 +38,5 @@
         super(ConfigurationTest, self).setUp()
         self.confcontainer = ConfigurationContainer()
-        self.sessionconf = SessionConfiguration()
+        self.sessionconf = CustomSessionConfiguration()
         return
 
@@ -48,8 +48,8 @@
         #verify.verifyClass(IConfigurationContainer, ConfigurationContainer)
         #verify.verifyObject(IConfigurationContainer, self.confcontainer)
-        verify.verifyClass(ISessionConfiguration, SessionConfiguration)
-        verify.verifyObject(ISessionConfiguration, self.sessionconf)
-        verify.verifyClass(ISessionConfigurationAdd, SessionConfiguration)
-        verify.verifyObject(ISessionConfigurationAdd, self.sessionconf)
+        verify.verifyClass(ICustomSessionConfiguration, CustomSessionConfiguration)
+        verify.verifyObject(ICustomSessionConfiguration, self.sessionconf)
+        verify.verifyClass(ICustomSessionConfigurationAdd, CustomSessionConfiguration)
+        verify.verifyObject(ICustomSessionConfigurationAdd, self.sessionconf)
 
 class SessionConfigurationFactoryTest(SessionConfigurationFactoryTest):
@@ -59,5 +59,5 @@
     def setUp(self):
         super(SessionConfigurationFactoryTest, self).setUp()
-        self.factory = SessionConfigurationFactory()
+        self.factory = CustomSessionConfigurationFactory()
 
     #def tearDown(self):
@@ -65,12 +65,12 @@
 
     def test_interfaces(self):
-        verify.verifyClass(IFactory, SessionConfigurationFactory)
+        verify.verifyClass(IFactory, CustomSessionConfigurationFactory)
         verify.verifyObject(IFactory, self.factory)
 
     def test_factory(self):
         obj = self.factory()
-        assert isinstance(obj, SessionConfiguration)
+        assert isinstance(obj, CustomSessionConfiguration)
 
     def test_getInterfaces(self):
         implemented_by = self.factory.getInterfaces()
-        assert implemented_by.isOrExtends(ISessionConfiguration)
+        assert implemented_by.isOrExtends(ICustomSessionConfiguration)
Index: main/waeup.uniben/trunk/src/waeup/uniben/widgets/phonewidget.py
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/widgets/phonewidget.py	(revision 8201)
+++ main/waeup.uniben/trunk/src/waeup/uniben/widgets/phonewidget.py	(revision 8204)
@@ -22,5 +22,5 @@
 from waeup.kofa.widgets.phonewidget import PhoneWidget
 
-class SmallPhoneWidget(PhoneWidget):
+class CustomPhoneWidget(PhoneWidget):
     """A phone widget without area prefix.
     """