Index: /WAeUP_SRP/trunk/skins/waeup_uniben/getPaymentInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_uniben/getPaymentInfo.py	(revision 8204)
+++ /WAeUP_SRP/trunk/skins/waeup_uniben/getPaymentInfo.py	(revision 8205)
@@ -36,4 +36,5 @@
 payment = context.getContent()
 info['payment_doc'] = payment
+info['is_im_pmt'] = im = payment.resp_code in ('IM',)
 info['is_etranzact_pmt'] = ie = payment.type == 'etranzact'
 info['is_online_pmt'] = io = payment.resp_code in ('0','00','AP','IP',)
@@ -41,5 +42,5 @@
 info['is_scratchcard_pmt'] = isc =  payment.resp_code == 'SC'
 info['is_interrupted'] = ii = payment.resp_code == '' and not ie
-info['unknown_code'] = not (io or isc or ii or ir or ie)
+info['unknown_code'] = not (io or isc or ii or ir or ie or im)
 info['resp_code'] = payment.resp_code
 info['resp_desc'] = payment.resp_desc
Index: /WAeUP_SRP/trunk/skins/waeup_uniben/payment_receipt.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_uniben/payment_receipt.pt	(revision 8204)
+++ /WAeUP_SRP/trunk/skins/waeup_uniben/payment_receipt.pt	(revision 8205)
@@ -7,4 +7,83 @@
       
       <span tal:condition="python: info">
+
+        <metal:block tal:condition="info/is_im_pmt">
+        <h3>Imported Payment Receipt</h3>
+        <br />
+        <table tal:define="student info/student;
+                           pm nocall: info/payment_doc">
+        <tr>
+          <td width="220px">Name:</td>
+          <td><span tal:content="student/name" /></td>
+        </tr>
+        <tr>
+          <td>Student Id:</td>
+          <td tal:content="student/id" />
+        </tr>
+        <tr>
+          <td>Registration Number:</td>
+          <td tal:content="student/jamb_reg_no" />
+        </tr>
+        <tr>
+          <td>Matriculation Number:</td>
+          <td tal:content="student/matric_no" />
+        </tr>
+        <tr>
+          <td>Current Study Level:</td>
+          <td tal:content="python:context.portal_vocabularies.student_levels.get(student['level'])" />
+        </tr>
+        <tr>
+          <td>Certificate Id:</td>
+          <td tal:content="student/course" />
+        </tr>
+        <tr>
+          <td>Faculty:</td>
+          <td tal:content="student/faculty" />
+        </tr>
+        <tr>
+          <td>Department:</td>
+          <td tal:content="student/department" />
+        </tr>
+        <tr>
+          <td width="220px">Payment Status:</td>
+          <td><span tal:content="python:context.portal_vocabularies.payment_status.get(pm.status)" /></td>
+        </tr>
+        <tr>
+          <td width="220px">Payment Type:</td>
+
+          <td><span tal:content="python:context.portal_vocabularies.payment_types.get(pm.type)" /></td>
+        </tr>
+        <tr>
+          <td width="220px">Payment Category:</td>
+          <td><span tal:content="python:context.portal_vocabularies.payment_categories.get(pm.category)" /></td>
+        </tr>
+        <tr>
+          <td width="220px">Payment Item:</td>
+          <td><span tal:content="pm/item" /></td>
+        </tr>
+        <tr>
+          <td width="220px">Session:</td>
+          <td><span tal:content="python:context.portal_vocabularies.sessions.get(pm.session_id)" /></td>
+        </tr>
+
+        <tr>
+          <td width="220px">Transaction Date:</td>
+          <td><span tal:content='python:pm.date.strftime("%d/%m/%y %H:%M:%S")' /></td>
+        </tr>
+        <tr>
+          <td width="220px">Amount (Naira):</td>
+          <td><span tal:content="pm/amount" /></td>
+        </tr>
+        <tr>
+          <td width="220px">Response Code:</td>
+          <td><span tal:content="pm/resp_code" /></td>
+        </tr>
+        <tr>
+          <td width="220px">Response Description:</td>
+          <td><span tal:content="pm/resp_desc" /></td>
+        </tr>
+        </table>
+        </metal:block>
+
         <metal:block tal:condition="info/is_online_pmt">
         <h3>Interswitch Payment Receipt</h3>